# Class: UserAttributePacket

## UserAttributePacket()

Implementation of the User Attribute Packet (Tag 17)

The User Attribute packet is a variation of the User ID packet. It is capable of storing more types of data than the User ID packet, which is limited to text. Like the User ID packet, a User Attribute packet may be certified by the key owner ("self-signed") or any other key owner who cares to certify it. Except as noted, a User Attribute packet may be used anywhere that a User ID packet may be used.

While User Attribute packets are not a required part of the OpenPGP standard, implementations SHOULD provide at least enough compatibility to properly handle a certification signature on the User Attribute packet. A simple way to do this is by treating the User Attribute packet as a User ID packet with opaque contents, but an implementation may use any method desired.

## Constructor

#### new UserAttributePacket()

Source:
  - packet/user_attribute.js, line 39

### Methods

#### equals(usrAttr) → {Boolean}

Compare for equality

##### Parameters:

Name | Type | Description
--- | --- | ---
`usrAttr` | UserAttributePacket |

Source:
  - packet/user_attribute.js, line 81

##### Returns:

True if equal.

Type
  Boolean

#### read(input)

parsing function for a user attribute packet (tag 17).

##### Parameters:

Name | Type | Description
--- | --- | ---
`input` | Uint8Array | Payload of a tag 17 packet

Source:
  - packet/user_attribute.js, line 52

#### write() → {Uint8Array}

Creates a binary representation of the user attribute packet

Source:
  - packet/user_attribute.js, line 67

##### Returns:

String representation.

Type
  Uint8Array